# Class GtcToVcf

java.lang.Object
picard.cmdline.CommandLineProgram
picard.arrays.GtcToVcf

@DocumentedFeature public class GtcToVcf extends CommandLineProgram
Class to convert an Illumina GTC file into a VCF file.

## Field Summary

Fields
Modifier and Type
Field
Description
`Integer`
`ANALYSIS_VERSION_NUMBER`
`File`
`CLUSTER_FILE`
`boolean`
`DO_NOT_ALLOW_CALLS_ON_ZEROED_OUT_ASSAYS`
`String`
`EXPECTED_GENDER`
`File`
`EXTENDED_ILLUMINA_MANIFEST`
`File`
`FINGERPRINT_GENOTYPES_VCF_FILE`
`File`
`GENDER_GTC`
`File`
`ILLUMINA_BEAD_POOL_MANIFEST_FILE`
`File`
`INPUT`
`File`
`OUTPUT`
`String`
`PIPELINE_VERSION`
`String`
`SAMPLE_ALIAS`

### Fields inherited from class CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`GtcToVcf()`

## Method Summary

Modifier and Type
Method
Description
`protected String[]`
`customCommandLineValidation()`
Put any custom command-line validation in an override of this method.
`protected int`
`doWork()`
Do the work after command line has been parsed.
`static String`
`formatFloatForVcf(float value)`
`htsjdk.variant.variantcontext.Genotype`
`getGenotype(String sampleName, InfiniumGTCRecord infiniumGtcRecord, IlluminaManifestRecord record, htsjdk.variant.variantcontext.Allele A, htsjdk.variant.variantcontext.Allele B)`
`protected boolean`
`requiresReference()`

### Methods inherited from class CommandLineProgram

`checkRInstallation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, setDefaultHeaders, useLegacyParser`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="GTC file to be converted") public File INPUT

### OUTPUT

@Argument(shortName="O", doc="The output VCF file to write.") public File OUTPUT

### EXTENDED_ILLUMINA_MANIFEST

@Argument(shortName="MANIFEST", doc="An Extended Illumina Manifest file (csv). This is an extended version of the Illumina manifest it contains additional reference-specific fields") public File EXTENDED_ILLUMINA_MANIFEST

### CLUSTER_FILE

@Argument(shortName="CF", doc="An Illumina cluster file (egt)") public File CLUSTER_FILE

### ILLUMINA_BEAD_POOL_MANIFEST_FILE

@Argument(shortName="BPM_FILE", doc="The Illumina Bead Pool Manifest (.bpm) file") public File ILLUMINA_BEAD_POOL_MANIFEST_FILE

### EXPECTED_GENDER

@Argument(shortName="E_GENDER", doc="The expected gender for this sample.", optional=true) public String EXPECTED_GENDER

### SAMPLE_ALIAS

@Argument(doc="The sample alias") public String SAMPLE_ALIAS

### PIPELINE_VERSION

@Argument(doc="The version of the pipeline used to generate this VCF", optional=true) public String PIPELINE_VERSION

### ANALYSIS_VERSION_NUMBER

@Argument(doc="The analysis version of the data used to generate this VCF", optional=true) public Integer ANALYSIS_VERSION_NUMBER

### GENDER_GTC

@Argument(shortName="G_GTC", doc="An optional GTC file that was generated by calling the chip using a cluster file designed to optimize gender calling.", optional=true) public File GENDER_GTC

### FINGERPRINT_GENOTYPES_VCF_FILE

@Argument(shortName="FP_VCF", doc="The fingerprint VCF for this sample", optional=true) public File FINGERPRINT_GENOTYPES_VCF_FILE

### DO_NOT_ALLOW_CALLS_ON_ZEROED_OUT_ASSAYS

@Argument(doc="Causes the program to fail if it finds a case where there is a call on an assay that is flagged as 'zeroed-out' in the Illumina cluster file.", optional=true) public boolean DO_NOT_ALLOW_CALLS_ON_ZEROED_OUT_ASSAYS

## Constructor Details

### GtcToVcf

public GtcToVcf()

## Method Details

### requiresReference

protected boolean requiresReference()

Overrides:
  `requiresReference` in class `CommandLineProgram`

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.

### customCommandLineValidation

protected String[] customCommandLineValidation()
Description copied from class: `CommandLineProgram`
Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.

Overrides:
  `customCommandLineValidation` in class `CommandLineProgram`
Returns:
  null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

### getGenotype

public htsjdk.variant.variantcontext.Genotype getGenotype(String sampleName, InfiniumGTCRecord infiniumGtcRecord, IlluminaManifestRecord record, htsjdk.variant.variantcontext.Allele A, htsjdk.variant.variantcontext.Allele B)

### formatFloatForVcf

public static String formatFloatForVcf(float value)